Subject: Re: What's cooking in git.git (Sep 2013, #03; Wed, 11)

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Sep 2013 08:24:21 -0700

Johannes Sixt <[email-masked]> writes:

> Am 9/12/2013 1:32, schrieb Junio C Hamano:
>> * jc/ref-excludes (2013-09-03) 2 commits
>>  - document --exclude option
>>  - revision: introduce --exclude=<glob> to tame wildcards
>> 
>>  People often wished a way to tell "git log --branches" (and "git
>>  log --remotes --not --branches") to exclude some local branches
>>  from the expansion of "--branches" (similarly for "--tags", "--all"
>>  and "--glob=<pattern>").  Now they have one.
>> 
>>  Will merge to 'next'.
>
> Please don't. This is by far not ready. It needs a different approach to
> support --exclude= in rev-parse.

Thanks for a dose of sanity. I didn't look at rev-parse. I vaguely
recall somebody offered follow-ups (was it you?) and at that point
I placed this on the back-burner.